fuelPHPでセッションが使えない

2017/07/10

FuelPHPの1.8をダウンロードして使っていたらセッションが使えないということに気付いた。ひょっとしたら設定の抜けがあるかもしれない。

具体的に言うと・・・
・「\Session::set_flash()」したものを別のページで「\Session::get_flash()」ができない
・「app\config\session.php」は「”driver”=>”file”」という感じ。

最終的に面倒だったので・・・以前使っていたFuelPHPの1.7があったので「1.7のcore」と「1.8のcore」を丸ごと差し替えた。

調べると「1.8.1だと問題ない。最近(2017.05)ダウンロードしたFuelPHPなら問題なし」というサイトがあったけど、何か違うっぽい。「差分を~」ってのもあったけどダメだった。
ひょっとしたら2017.07の時点で、またダメになったかもしれない。

新着(ニュース関連以外)

2017-11-09
PCでプッシュ通知ってのをしたい。
2017-11-06
PHPのバージョンを上げたらwikiが壊れたっぽい。
2017-08-03
formのinputでmaxlengthを使うとFirefoxでバグってた。他のブラウザでも気づかずにバグってたかもしれない。
2017-07-19
折れ線グラフをもう少しゆるやかに・・・というか何というか・・・調べていくと「移動平均」っていう言葉にたどり着いた
2017-07-10
FuelPHPの1.8をダウンロードして使っていたらセッションが使えないということに気付いた。